Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.ims
Class IMSConfigs

    java.lang.Object
      com.stc.eways.ims.IMSConfigs

    public class IMSConfigs

extends java.lang.Object

Field Summary
`char` | `bandrs`
`java.lang.String` | `clientID`
`byte` | `commitMode`
`java.lang.String` | `datastoreID`
`java.lang.String` | `exitID`
`byte` | `flowCtl`
`java.lang.String` | `irmHeaderEncoding`
`java.lang.String` | `LtermName`
`byte` | `mfsMod`
`java.lang.String` | `Password`
`java.lang.String` | `Port`
`int` | `prefixLength`
`java.lang.String` | `RacfGroupName`
`java.lang.String` | `RacfUserID`
`byte` | `rcvDelay`
`java.lang.String` | `replyDataEncoding`
`java.lang.String` | `sendDataEncoding`
`java.lang.String` | `Server`
`byte` | `soctType`
`byte` | `syncLevel`
`java.lang.String` | `TranCode`
`java.lang.String` | `TranCodeSrc`

Method Summary
`java.lang.String` | `stringPad(java.lang.String string, char padChar, int padLength)` Pads or truncates the String to the specified length.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Server

    public java.lang.String Server

### Port

    public java.lang.String Port

### TranCode

    public java.lang.String TranCode

### TranCodeSrc

    public java.lang.String TranCodeSrc

### datastoreID

    public java.lang.String datastoreID

### LtermName

    public java.lang.String LtermName

### RacfUserID

    public java.lang.String RacfUserID

### RacfGroupName

    public java.lang.String RacfGroupName

### Password

    public java.lang.String Password

### clientID

    public java.lang.String clientID

### exitID

    public java.lang.String exitID

### syncLevel

    public byte syncLevel

### commitMode

    public byte commitMode

### flowCtl

    public byte flowCtl

### rcvDelay

    public byte rcvDelay

### soctType

    public byte soctType

### mfsMod

    public byte mfsMod

### bandrs

    public char bandrs

### prefixLength

    public int prefixLength

### irmHeaderEncoding

    public java.lang.String irmHeaderEncoding

### sendDataEncoding

    public java.lang.String sendDataEncoding

### replyDataEncoding

    public java.lang.String replyDataEncoding

Method Detail

### stringPad

    public java.lang.String stringPad(java.lang.String string,
                                      char padChar,
                                      int padLength)

  Pads or truncates the String to the specified length.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD